> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lock two factor configuration.

> Lock two factor configuration after completing two factor
reconfiguration. If this API is not called, two factor
configuration will be locked automatically after ten minutes.
Locking this back is necessary if the 2FA device needs to be used
for other things like approval requests. It is not possible use
2FA for other purposes when configuration mode is unlocked.

## OpenAPI

````json POST /sys/v1/session/config_2fa/terminate
{
  "openapi": "3.0.0",
  "info": {
    "title": "Fortanix DSM REST API",
    "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients.",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "0.1.0-20260526"
  },
  "servers": [
    {
      "url": "https://amer.smartkey.io"
    }
  ],
  "paths": {
    "/sys/v1/session/config_2fa/terminate": {
      "post": {
        "operationId": "Config2faTerminate",
        "tags": [
          "Session"
        ],
        "security": [
          {
            "bearerToken": []
          },
          {
            "apiKeyAuth": []
          }
        ],
        "summary": "Lock two factor configuration.",
        "description": "Lock two factor configuration after completing two factor\nreconfiguration. If this API is not called, two factor\nconfiguration will be locked automatically after ten minutes.\nLocking this back is necessary if the 2FA device needs to be used\nfor other things like approval requests. It is not possible use\n2FA for other purposes when configuration mode is unlocked.",
        "responses": {
          "204": {
            "description": "Nothing is returned on success"
          }
        }
      }
    }
  }
}
````

